QGIS Application - Bug report #21231
QGIS crashes using the geometry checker
2019-02-11 04:17 PM - Vladimir Hans

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 29049
Description

| checked geometry (Vector->Check geometries...) and | set only checking gap and overlaps. Then | tried to repair geometry and in this
time QGIS crashed. Test data are in appendix.

Crash ID: 3870444f9cc1ee56ef27f177476c3aaa291bd997

Stack Trace

QgsGeometryGapCheck::collectErrors :

QGIS Info

QGIS Version: 3.4.4-Madeira
QGIS code revision: 73c¢31df831
Compiled against Qt: 5.11.2
Running against Qt: 5.11.2
Compiled against GDAL: 2.4.0
Running against GDAL: 2.4.0

Related issues:
Duplicated by QGIS Application - Bug report # 21259: Geometry Checker Crashes Closed 2019-02-13

History

#1 - 2019-02-11 05:35 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Category changed from Vectors to C++ plugins/Geometry Checker

- Subject changed from QGIS crash to QGIS crashes using the geometry checker

Using a clean/new profile makes any difference?

#2 - 2019-02-18 03:28 PM - Alessandro Pasotti

- Duplicated by Bug report #21259: Geometry Checker Crashes added

#3 - 2019-02-18 03:29 PM - Alessandro Pasotti

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Files

2025-04-27 12




test.gpkg 664 KB 2019-02-11 Vladimir Hans

2025-04-27 22



